Bug 50565 - (VM)32 MB system can't handle a compilation
(VM)32 MB system can't handle a compilation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-01 06:07 EDT by Jos Vos
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Top output of 3 stages before the system stops reacting (4.81 KB, text/plain)
2001-08-03 09:48 EDT, Jos Vos
no flags Details

  None (edit)
Description Jos Vos 2001-08-01 06:07:55 EDT
When compiling some not-too-big source code on a 32 MB beta3 system (no X
running), the system starts trashing very quickly and doesn't come back
within a reasonable time (at least one hour), so only the reset button
helps.  This is fully reproducable.

The same test on the same HW config with RH 7.1 works fine.
Comment 1 Glen Foster 2001-08-01 16:22:58 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 2 Jos Vos 2001-08-03 09:47:33 EDT
The problem still appears with kernel-2.4.7-0.3.  I'll attach a file with 3
"top" snapshots just before the system stops reacting at all.
Comment 3 Jos Vos 2001-08-03 09:48:37 EDT
Created attachment 26031 [details]
Top output of 3 stages before the system stops reacting
Comment 4 Aleksey Nogin 2001-08-08 05:40:12 EDT
Is this the same bug as the one that causes very high inode_cache count in
/proc/slabinfo?
Comment 5 Arjan van de Ven 2001-08-08 05:44:29 EDT
maybe. I wonder if 2.4.7-0.5 or later behave better with 32Mb
Comment 6 Jos Vos 2001-08-08 05:48:24 EDT
Would like to try, if 0.5 is available somewhere...
Comment 7 Aleksey Nogin 2001-08-08 06:27:35 EDT
ftp://ftp.beta.redhat.com/pub/rawhide/i386/RedHat/RPMS/ has -0.9.1 right now.
BTW, as I mentioned in testers-list, I still see a very similar problem (and see
very high inode_cache count at the same time) with 2.4.7-0.8 on 128Mb of RAM.
Comment 8 Jos Vos 2001-08-08 09:46:26 EDT
Tested with kernel 2.4.7-0.9.1: same problem :-(.  And the inode_cache in
/proc/slabinfo stays in the last 10 minutes of the system's life around these
values:

inode_cache          341    711    424   79   79    1 :  15113   38560 2064   
3    0
Comment 9 Aleksey Nogin 2001-08-16 17:13:41 EDT
I was still having these problems with 2.4.7-0.9.1, but with 2.4.7-0.13.1 things
seem to be finally working normally.
Comment 10 Arjan van de Ven 2001-08-17 03:43:43 EDT
Thanks for testing/confirming this. We'll continue to try to improve the VM, but
without breaking the stability (I hope :)
Comment 11 Jos Vos 2001-08-17 10:52:25 EDT
Kernel 2.4.7-2 (current rawhide) does *not* seem to resolve our problems :-(.
Comment 12 Bugzilla owner 2004-09-30 11:39:06 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.